/* sdl_wrap.cc
 * Copyright (C) 2024 Ralf Hoffmann.
 * ralf@boomerangsworld.de
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "sdl_wrap.hh"
#include "config.h"
#include "ab_logging.hh"

SDL_Wrap::SDL_Wrap()
{
#ifdef HAVE_SDL2_IMAGE
    LOG_DEBUGXX( "Init SDL" );
    SDL_SetHint( SDL_HINT_NO_SIGNAL_HANDLERS,
                 "1" );
    SDL_Init( SDL_INIT_VIDEO );
    int res = IMG_Init( ~0 );
    if ( res == 0 ) {
        LOG_CRITICALXX( "Failed to init SDL2_Image" );
    }
    LOG_DEBUGXX( "Got SDL2_Image result: " << res );
#endif
}

SDL_Wrap::~SDL_Wrap()
{
#ifdef HAVE_SDL2_IMAGE
    LOG_DEBUGXX( "Shutdown SDL" );
    IMG_Quit();
    SDL_Quit();
#endif
}
